<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Virtual Server .::WMS::. -- || By SIYSC-Solutions ||</title>
<style type="text/css">
<!--
.Estilo4 {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
}
.Estilo5 {font-size: 16px; font-family: Arial, Helvetica, sans-serif; }
.Estilo7 {
	font-size: 14px;
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	color: #FFFFFF;
}
.Estilo9 {font-size: 24px; font-family: Arial, Helvetica, sans-serif; }
.Estilo10 {font-size: 22px; font-family: Arial, Helvetica, sans-serif; font-weight: bold; }
.Estilo11 {font-size: 18px; font-family: Arial, Helvetica, sans-serif; font-weight: bold; }
-->
</style>
</head>

<body>
<div align="right">
<?php
		
		include ("../../../Conexion.php");
			$UsuEn=$_POST['USUkp'] or $UsuEn=$_GET['USUkp'];
			$No_DocCompEn=$_POST['txt_NoDocComple'] or $No_DocCompEn=$_GET['txt_NoDocComple'];
	
	if ($UsuEn=="")
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../../RedireccionDeCierre.php'>";
		}
		else
		{
		/////////IDENTIFICAR DATOS DE NIVEL///////
		$sql = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
						
	if (mysql_numrows($sql)==0) echo "";
		else{
		$registro=mysql_fetch_array($sql);
		}
		if (mysql_numrows($sql)>0)
		{
		$CNiv=$registro["NIVEL"];
		}
			
	if ($CNiv<>"01" and $CNiv<>"02" and $CNiv<>"05")
		{
		echo "<script>alert('No estas autorizado para realizar esta operaci&oacute;n');</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../../RedireccionDeCierre.php'>";
		}
		else
		{
		
		/////////CONSULTAR EL DOCUMENTO COMPLEMENTO EN LA TABLA INVENTARIO///////
	    $sql = "select * from  tabla_inventario  where NO_DOC_COMPLE='$No_DocCompEn'";
		$res=mysql_query($sql) or die('Error en la consulta: '.mysql_error());
		While($row = mysql_fetch_array($res,MYSQL_ASSOC))
			{
			$PDocComple=$row["NO_DOC_COMPLE"];
			$PSKU=$row["SKU"];
			$PCadu=$row["CADUCIDAD"];
			$PSKUAlt=$row["SKU_ALT"];
			$PDescrip=$row["DESCRIPCION"];
			$PCantidad=$row["CANTIDAD"];
			
			$PiXCaja=$row["PIEZASXCAJA"];
			$PCajasProceso=$PCantidad/$PiXCaja;
			$PCajas=number_format("$PCajasProceso", 2, ".", ".");
			
			$PNoPallet=$row["NO_PALLET"];	
	
	/////////CONSULTAR AL CONTRATANTE/////////////////////////////////////
		$sql = mysql_query("select * from  tabla_contratante");
						
		if (mysql_numrows($sql)==0) echo "";
		else{
		$registro=mysql_fetch_array($sql);
		}
		if (mysql_numrows($sql)>0)
		{
		$NomCuentaContrata=$registro["CUENTA"];
		}

	 ///////GENERADOR DE FOLIO PARA LA TABLA temporal_etiquetapallet///////////
		$sqlID = "select max(ID) as ultimo_FOLIO from temporal_etiquetapallet"; 
		$lib = mysql_query($sqlID); 
		$rs_lib = mysql_fetch_assoc($lib); 
		$id_nuevo = $rs_lib['ultimo_FOLIO'] + 1;
		
	//////GUARDAR LOS DATOS DE LAS ETIQUETAS EN LA TABLA EL LA BD//////////
		$sql = "insert into temporal_etiquetapallet (ID,CUENTA,NO_DOC_COMPLE,SKU,CADUCIDAD,SKU_ALT,DESCRIPCION,PIEZAS,CAJAS,NO_PALLET)
        values('$id_nuevo','$NomCuentaContrata','$PDocComple','$PSKU','$PCadu','$PSKUAlt','$PDescrip','$PCantidad','$PCajas','$PNoPallet')";
		
		$resultado=mysql_query($sql,$conexion) or die(mysql_error());
		
			}///Fin While de Guardado
			}
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=../../../RedireccionDeCierre.php'>";
			}///FIN CONSULTAR SI EXISTE EL DOCUMENTO EN LA TABLA INVENTARIO///////
	?>
	</div>
</body>
</html>